> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Register New Agent or Manager > Register a new agent or manager. Permission required: * If the `type` is `agent`: `manage-livechat-agents`. * If the `type` is `manager`: `manage-livechat-managers`. Requests without the required permission return a `403` response. ### Changelog | Version | Description | | ------------ | ------------| |8.9.0 | Required `manage-livechat-agents` for agents and `manage-livechat-managers` for managers. | |0.42.0 | Added | ## OpenAPI ````json POST /api/v1/livechat/users/{type} { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Omnichannel" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Omnichannel Users" }, { "name": "Omnichannel Agents" }, { "name": "Omnichannel Monitors" }, { "name": "Omnichannel Visitors" }, { "name": "Omnichannel Contacts" }, { "name": "Omnichannel Rooms" }, { "name": "Omnichannel Departments" }, { "name": "Omnichannel Custom Fields" }, { "name": "Omnichannel Business Hours" }, { "name": "Omnichannel Priorities" }, { "name": "Omnichannel Tags" }, { "name": "Omnichannel Units" }, { "name": "SLA Policies" }, { "name": "Canned Responses" }, { "name": "Omnichannel Transcript" }, { "name": "Omnichannel Statistics" }, { "name": "Omnichannel Agent Stats" }, { "name": "Omnichannel Dashboards" }, { "name": "Reports" }, { "name": "Omnichannel Inquiries" }, { "name": "Omnichannel Webhooks" }, { "name": "Livechat" }, { "name": "Livechat Appearance" }, { "name": "Livechat Triggers" }, { "name": "Livechat Messages" }, { "name": "Livechat Page Visited" } ], "paths": { "/api/v1/livechat/users/{type}": { "post": { "summary": "Register New Agent or Manager", "description": "Register a new agent or manager.\nPermission required:\n* If the `type` is `agent`: `manage-livechat-agents`.\n* If the `type` is `manager`: `manage-livechat-managers`.\n\nRequests without the required permission return a `403` response.\n\n### Changelog\n| Version | Description |\n| ------------ | ------------|\n|8.9.0 | Required `manage-livechat-agents` for agents and `manage-livechat-managers` for managers. |\n|0.42.0 | Added |", "operationId": "post-api-v1-livechat-users-:type", "parameters": [ { "$ref": "#/components/parameters/AuthToken" }, { "$ref": "#/components/parameters/UserId" }, { "name": "type", "in": "path", "description": "The type of user that you want to register. The value can either be `agent` or `manager`.", "required": true, "schema": { "type": "string" }, "example": "agent" } ], "requestBody": { "content": { "application/json": { "schema": { "type": "object", "properties": { "username": { "type": "string", "description": "The user name that you want to register." } }, "required": [ "username" ] }, "examples": { "Example 1": { "value": { "username": "john.doe" } } } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "user": { "type": "object", "properties": { "_id": { "type": "string" }, "username": { "type": "string" } } }, "success": { "type": "boolean" } } }, "examples": { "Success Example": { "value": { "user": { "_id": "SQafHvoFPuB57NmBD", "username": "john.doe" }, "success": true } } } } } }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" }, "errorType": { "type": "string" } } }, "examples": { "Example 1": { "value": { "success": false, "error": "must have required property 'username' [invalid-params]", "errorType": "invalid-params" } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" }, "403": { "description": "Forbidden", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Example 1": { "value": { "success": false, "error": "unauthorized" } } } } } } }, "tags": [ "Omnichannel Users" ] } } }, "components": { "parameters": { "AuthToken": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" } }, "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } } } } } ````